Lua_ChatSoundWindow = class("Lua_ChatSoundWindow", Lua_Window);

function Lua_ChatSoundWindow:ctor()
    self:superCall("ctor");

    self.isModel = false;
    self.showClose = false;
    self.showWinBg = false;
    self.isClickClose = false;
    self.showCloseText =false;
    self.blackAlpha = 0.01;

    self.windowName = "Lua_ChatSoundWindow";
    self.skinName = "ChatSoundWindow_skin";
end

function Lua_ChatSoundWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.startTime = getTime();
    self.timeTxt.text = "00:00";
    Lua_CommonUtil.addTimer( "checkTime", 1, self, self.checkTime);
end

function Lua_ChatSoundWindow:checkTime()
    local leftTime = getTime() - self.startTime;
    self.timeTxt.text = TimeTransform.getInstance():transSeconds6(leftTime, false, true);
end

function Lua_ChatSoundWindow:dispose()
    Lua_CommonUtil.removeTimer(self,self.checkTime);
    self:superCall("dispose");
end